<app-search-form (search)="search($event)" #searchForm="searchForm" [placeholder]="'SEARCH.FIELDS.PLACEHOLDER.CRITERIA' | translate">
  <app-details before>
    <span summary class="visualy-hidden">How to search</span>
    <div class="details-content">
      <p class="search-top-text" [innerHTML]="'SEARCH.TOP.TEXT' | staticContent | async"></p>
    </div>
  </app-details>
  <img src="/assets/images/search-icon.svg" alt="Search icon" aria-hidden="true" submit-icon>
</app-search-form>

<ng-container *ngIf="searchForm.selectedCriteria.length === 0 && results.length === 0 && !loading; else resultTemplate">
  <p>{{ 'SEARCH.RECENTLY_ADDED' | translate }}</p>
  <section *ngIf="displayedRecentlyAddedItems.length > 0" class="items">
    <article *ngFor="let item of displayedRecentlyAddedItems; trackBy: trackByFn" res-item [item]="item">
      <div class="actions">
        <button app-button class="circle very-small no-shadow no-background" [tadaSize]="36" color="primary" appInCloset [item]="item" [variant]="item.variants[0]"
          #inCloset="inCloset">
          <span class="visualy-hidden">{{ 'ITEM.ACTIONS.ADD_TO_CLOSET' | translate }}</span>
          <svg [class.grayscale]="!inCloset.isIn">
            <use xlink:href="#add_to_closet" />
          </svg>
        </button>
        <button app-button class="circle very-small no-shadow no-background" [tadaSize]="36" color="primary" appInWishlist [item]="item" [variant]="item.variants[0]"
          #inWishlist="inWishlist">
          <span class="visualy-hidden">{{ 'ITEM.ACTIONS.ADD_TO_WISHLIST' | translate }}</span>
          <svg [class.grayscale]="!inWishlist.isIn">
            <use xlink:href="#add_to_wishlist" />
          </svg>
        </button>
      </div>
    </article>
  </section>
</ng-container>
<ng-template #resultTemplate>
  <section *ngIf="results.length > 0; else noResults">
    <app-pagination-info [id]="'mel-pager'">
      <app-pagination [id]="'mel-pager'" (pageChange)="onPageChange($event)"></app-pagination>
    </app-pagination-info>
    <div class="items">
      <article *ngFor="let item of results | paginate: paginationConfig" res-item [item]="item">
        <div class="actions">
          <button app-button class="circle very-small no-shadow no-background" [tadaSize]="36" color="primary" appInCloset [item]="item" [variant]="item.variants[0]"
            #inCloset="inCloset">
            <span class="visualy-hidden">{{ 'ITEM.ACTIONS.ADD_TO_CLOSET' | translate }}</span>
            <svg [class.grayscale]="!inCloset.isIn">
              <use xlink:href="#add_to_closet" />
            </svg>
          </button>
          <button app-button class="circle very-small no-shadow no-background" [tadaSize]="36" color="primary" appInWishlist [item]="item" [variant]="item.variants[0]"
            #inWishlist="inWishlist">
            <span class="visualy-hidden">{{ 'ITEM.ACTIONS.ADD_TO_WISHLIST' | translate }}</span>
            <svg [class.grayscale]="!inWishlist.isIn">
              <use xlink:href="#add_to_wishlist" />
            </svg>
          </button>
        </div>
      </article>
    </div>
    <app-pagination [id]="'mel-pager'" (pageChange)="onPageChange($event)"></app-pagination>
  </section>
  <ng-template #noResults>
    <p *ngIf="!loading" [innerHTML]="'SEARCH.EMPTY_RESULT' | translate" class="empty-content"></p>
    <ng-container *ngIf="displayLoader">
      <app-simple-loader [height]="42"></app-simple-loader>
      <p class="searching-content" @searching [innerHTML]="'SEARCH.SEARCHING.1' | translate"></p>
      <p class="searching-content" @searching *ngIf="searching >= 5000" [innerHTML]="'SEARCH.SEARCHING.2' | translate"></p>
      <p class="searching-content" @searching *ngIf="searching >= 12000" [innerHTML]="'SEARCH.SEARCHING.3' | translate"></p>
    </ng-container>
  </ng-template>
</ng-template>

<a [routerLink]="['/item', 'new']" app-button class="circle add-item" color="accent" *ngIf="signedIn">
  <span class="visualy-hidden">{{ 'SEARCH.ADD.LABEL' | translate }}</span>
  <span class="add-icon" aria-hidden="true"></span>
</a>
